<!DOCTYPE html>
<html lang="en">
<head>
    <title>东北大学数据同步</title>
    <link rel="stylesheet" href="${request.contextPath}/css/jqueryui.css">
    <script type="text/javascript" src="${request.contextPath}/js/jquery.min.js"></script>
    <script type="text/javascript" src="${request.contextPath}/js/jqueryui.js"></script>
</head>
<body>
<div id="dialog" title="结果" hidden="hidden"></div>
<div>
    <div>
        通过DS平台获取数据：
        <ul>
            <li><input type="checkbox" id="all"><strong>全选/全不选</strong></li>
            <li><input type="checkbox" name="type" value="A"> 机构数据</li>
            <li><input type="checkbox" name="type" value="B"> 校区数据</li>
            <li><input type="checkbox" name="type" value="C"> 课程数据</li>
            <li><input type="checkbox" name="type" value="D"> 班级数据</li>
            <li><input type="checkbox" name="type" value="E"> 学生信息</li>
            <li><input type="checkbox" name="type" value="F"> 排课数据</li>
            <li><input type="checkbox" name="type" value="G"> 学籍信息</li>
            <li><input type="checkbox" name="type" value="H"> 考试安排</li>
            <li><input type="checkbox" name="type" value="I"> 学生考试安排</li>
        </ul>
        <span id="dsMsg" style="color: red; font-size: 10px"></span>
        <br>
        <button onclick="getDsData('${dsUrl}')">确定</button>
        <button onclick="checkDsResult('${checkDsUrl}')">校验</button>
    </div>
    <hr>
    <div>
        <table border="0" style="margin-top: 50px">
            <tr><td colspan="2">生成考生数据</td></tr>
            <tr>
                <td>code：</td>
                <td><input type="text" id="pch" name="pch"/></td>
            </tr>
        </table>
        <span id="stMsg" style="color: red; font-size: 10px"></span>
        <br>
        <button onclick="getStData('${stUrl}')">确定</button>
        <button onclick="checkStResult('${checkStUrl}')">校验</button>
    </div>
    <hr>
    <div>
        <table border="0" style="margin-top: 50px">
            <tr><td colspan="2">云阅卷同步考试、考生数据</td></tr>
            <tr>
                <td>id：</td>
                <td><input type="text" id="id" name="id"/></td>
            </tr>
            <tr>
                <td>code：</td>
                <td><input type="text" id="code" name="code"/></td>
            </tr>
        </table>
        <span id="yyMsg" style="color: red; font-size: 10px"></span>
        <br>
        <button onclick="getYyData('${yyUrl}')">确定</button>
        <button onclick="checkYyResult('${checkYyUrl}')">校验</button>
    </div>
</div>
</body>
<style>
    ul li{
        list-style-type:none;

    }
</style>
<script>
    $(function () {
        $("#all").click(function () {
            $("[name=type]:checkbox").prop("checked", this.checked);
        })

        $("[name=type]:checkbox").click(function () {
            var flag = true;
            $("[name=type]:checkbox").each(function () {
                if (!this.checked) {
                    flag = false;
                }
            });
            $("#all").prop("checked", flag);
        })
    })

    function getDsData(url) {
        $("#dsMsg").html("");
        var checkboxdata = $("[name=type]:checkbox:checked").map(function () {
            return $(this).val();
        }).get().join(",");
        if (checkboxdata == null || checkboxdata == '') {
            $("#dsMsg").html("请选择需要查询表");
            return;
        }
        $.ajax({
            url: url,
            type: "POST",
            data: {"type": checkboxdata},
            dataType: "json",
            success: function (data) {
                if (data.code == 200) {
                    alert("调用成功");
                } else if (data.code == 500) {
                    alert("调用失败");
                }
            }
        });
    }

    function checkDsResult(url) {
        $.ajax({
            url: url,
            type: "POST",
            data: null,
            dataType: "json",
            success: function (data) {
                if (data.code == 200) {
                    createDsResultTable(data.data);
                } else if (data.code == 500) {
                    alert("调用失败");
                }
            }
        });
    }

    function getStData(url) {
        $("#stMsg").html("");
        var code = $("#pch").val();
        if (code == null || code == '') {
            $("#stMsg").html("code不能为空");
            return;
        }
        $.ajax({
            url: url,
            type: "POST",
            data: {"code": code},
            dataType: "json",
            success: function (data) {
                if (data.code == 200) {
                    alert("调用成功");
                } else if (data.code == 500) {
                    alert("调用失败");
                }
            }
        });
    }

    function checkStResult(url) {
        var code = $("#pch").val();
        $.ajax({
            url: url,
            type: "POST",
            data: {"code": code},
            dataType: "json",
            success: function (data) {
                if (data.code == 200) {
                    createStResultTable(data.data);
                } else if (data.code == 500) {
                    alert("调用失败");
                }
            }
        });
    }

    function getYyData(url) {
        $("#yyMsg").html("");
        var id = $("#id").val();
        var code = $("#code").val();
        if ((id == null || id == '') && (code == null || code == '')) {
            $("#yyMsg").html("id、code二选一");
            return;
        }
        $.ajax({
            url: url,
            type: "POST",
            data: {"id": id, "code": code},
            dataType: "json",
            success: function (data) {
                if (data.code == 200) {
                    alert("调用成功");
                } else if (data.code == 500) {
                    alert("调用失败");
                }
            }
        });
    }

    function checkYyResult(url) {
        var code = $("#code").val();
        $.ajax({
            url: url,
            type: "POST",
            data: {"code": code},
            dataType: "json",
            success: function (data) {
                if (data.code == 200) {
                    createYyResultTable(data.data);
                } else if (data.code == 500) {
                    alert("调用失败");
                }
            }
        });
    }

    //动态的创建一个table
    function createDsResultTable(data) {
        $("#dialog").html("");
        var tableStr = "<table class='tab-list' width='99%'>";
        tableStr = tableStr
            + "<tr class='list-header'>"
            + "<td width='30%'>表类型</td>"
            + "<td width='50%'>生成时间</td>"
            + "<td width='20%'>数量</td>"
            + "</tr>";
        var len = data.length;
        for (var i = 0; i < len; i++) {
            tableStr = tableStr + "<tr>"
                + "<td>" + data[i].name + "</td>"
                + "<td>" + data[i].createTime + "</td>"
                + "<td>" + data[i].count + "</td>"
                + "</tr>";
        }
        if (len == 0) {
            tableStr = tableStr + "<tr style='text-align: center'>"
                + "<td colspan='6'><font color='#cd0a0a'>暂无记录</font></td>"
                + "</tr>";
        }
        tableStr = tableStr + "</table>";
        //添加到div中
        $("#dialog").html(tableStr).dialog({
            width: 500,
            modal: true,
            buttons: {
                关闭: function () {
                    $(this).dialog("close");
                }
            }
        });
    }

    function createStResultTable(data) {
        $("#dialog").html("");
        var tableStr = "<table class='tab-list' width='99%'>";
        tableStr = tableStr
            + "<tr class='list-header'>"
            + "<td width='20%'>东北大学PCH（code）</td>"
            + "<td width='50%'>生成时间</td>"
            + "<td width='15%'>云阅卷examId</td>"
            + "<td width='15%'>考生数量</td>"
            + "</tr>";
        var len = data.length;
        for (var i = 0; i < len; i++) {
            tableStr = tableStr + "<tr>"
                + "<td>" + data[i].code + "</td>"
                + "<td>" + data[i].createTime + "</td>"
                + "<td>" + data[i].examId + "</td>"
                + "<td>" + data[i].count + "</td>"
                + "</tr>";
        }
        if (len == 0) {
            tableStr = tableStr + "<tr style='text-align: center'>"
                + "<td colspan='6'><font color='#cd0a0a'>暂无记录</font></td>"
                + "</tr>";
        }
        tableStr = tableStr + "</table>";
        //添加到div中
        $("#dialog").html(tableStr).dialog({
            width: 600,
            modal: true,
            buttons: {
                关闭: function () {
                    $(this).dialog("close");
                }
            }
        });
    }

    function createYyResultTable(data) {
        $("#dialog").html("");
        var tableStr = "<table class='tab-list' width='99%'>";
        tableStr = tableStr
            + "<tr class='list-header'>"
            + "<td width='20%'>东北大学PCH（code）</td>"
            + "<td width='50%'>云阅卷examId</td>"
            + "<td width='15%'>同步成功数量</td>"
            + "<td width='15%'>同步失败数量</td>"
            + "</tr>";
        var len = data.length;
        for (var i = 0; i < len; i++) {
            tableStr = tableStr + "<tr>"
                + "<td>" + data[i].code + "</td>"
                + "<td>" + data[i].examId + "</td>"
                + "<td>" + data[i].success + "</td>"
                + "<td>" + data[i].fail + "</td>"
                + "</tr>";
        }
        if (len == 0) {
            tableStr = tableStr + "<tr style='text-align: center'>"
                + "<td colspan='6'><font color='#cd0a0a'>暂无记录</font></td>"
                + "</tr>";
        }
        tableStr = tableStr + "</table>";
        //添加到div中
        $("#dialog").html(tableStr).dialog({
            width: 600,
            modal: true,
            buttons: {
                关闭: function () {
                    $(this).dialog("close");
                }
            }
        });
    }
</script>
</html>
